> For the complete documentation index, see [llms.txt](https://docs.blockpi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockpi.io/build/api-reference/kaia/klay_gettransactioncount.md).

# kaia\_getTransactionCount

Returns the number of transactions sent from an address.

#### **Parameters**

| Type                    | Description                                                                                                |
| ----------------------- | ---------------------------------------------------------------------------------------------------------- |
| 20-byte DATA            | Address                                                                                                    |
| QUANTITY \| TAG \| HASH | Integer or hexadecimal block number, or the string `"earliest"`, `"latest"` or `"pending"`, or block hash. |

#### **Return Value**

<table><thead><tr><th width="259">Type</th><th>Description</th></tr></thead><tbody><tr><td>QUANTITY</td><td>Integer of the number of transactions send from this address.</td></tr></tbody></table>

#### Example

{% code overflow="wrap" %}

```json
// Request
curl -H "Content-Type: application/json" --data '{"jsonrpc":"2.0","method":"kaia_getTransactionCount","params":["0xc94770007dda54cF92009BFF0dE90c06F603a09f","latest"],"id":1}' http://kaia.blockpi.network/v1/rpc/your-api-key

// Result
{
 "jsonrpc": "2.0",
 "id":1,
 "result": "0x1" // 1
}
```

{% endcode %}
